summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Erik Hanson <erik@slackbuilds.org>2010-05-11 20:02:02 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:02:02 +0200
commit9e4c1ae9755ae816f7badc26734aeda0ae48c658 (patch)
treee84b9671bc6724f6fa1f777d471e6d93ef6c4416
parent68ad816bf7f964bd92fce455e86bf51f9e8739ad (diff)
downloadslackbuilds-9e4c1ae9755ae816f7badc26734aeda0ae48c658.tar.gz
slackbuilds-9e4c1ae9755ae816f7badc26734aeda0ae48c658.tar.xz
system/md5deep: Added to 12.0 repository
-rw-r--r--system/md5deep/README18
-rw-r--r--system/md5deep/md5deep.SlackBuild44
-rw-r--r--system/md5deep/md5deep.info8
-rw-r--r--system/md5deep/slack-desc18
4 files changed, 88 insertions, 0 deletions
diff --git a/system/md5deep/README b/system/md5deep/README
new file mode 100644
index 0000000000..1278761314
--- /dev/null
+++ b/system/md5deep/README
@@ -0,0 +1,18 @@
+md5deep is a cross-platform set of programs to compute MD5, SHA-1, SHA-256,
+Tiger, or Whirlpool message digests on an arbitrary number of files. md5deep
+is similar to the md5sum program found in the GNU Coreutils package, but has
+the following additional features:
+* Recursive operation - md5deep is able to recursive examine an entire
+ directory tree. That is, compute the MD5 for every file in a directory and
+ for every file in every subdirectory.
+* Comparison mode - md5deep can accept a list of known hashes and compare them
+ to a set of input files. The program can display either those input files
+ that match the list of known hashes or those that do not match. Hashes sets
+ can be drawn from Encase, the National Software Reference Library, iLook
+ Investigator, Hashkeeper, md5sum, BSD md5, and other generic hash generating
+ programs. Users are welcome to add functionality to read other formats too!
+* Time estimation - md5deep can produce a time estimate when it's processing
+ very large files.
+* Piecewise hashing - Hash input files in arbitrary sized blocks
+* File type mode - md5deep can process only files of a certain type, such as
+ regular files, block devices, etc.
diff --git a/system/md5deep/md5deep.SlackBuild b/system/md5deep/md5deep.SlackBuild
new file mode 100644
index 0000000000..2c77628df0
--- /dev/null
+++ b/system/md5deep/md5deep.SlackBuild
@@ -0,0 +1,44 @@
+#!/bin/sh
+
+# Slackware build script for md5deep
+# Written by Erik Hanson erik@slackbuilds.org
+
+PRGNAM=md5deep
+VERSION=2.0.1
+SUBVER=001
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION-$SUBVER.tar.gz || exit 1
+cd $PRGNAM-$VERSION-$SUBVER || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" ./configure --prefix=/usr || exit 1
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+gzip -9 $PKG/usr/man/man?/*
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION $PKG/install
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/md5deep/md5deep.info b/system/md5deep/md5deep.info
new file mode 100644
index 0000000000..696197dcea
--- /dev/null
+++ b/system/md5deep/md5deep.info
@@ -0,0 +1,8 @@
+PRGNAM="md5deep"
+VERSION="2.0.1"
+HOMEPAGE="http://md5deep.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/md5deep/md5deep-2.0.1-001.tar.gz"
+MD5SUM="c250d966ff3bf6594a16410b63429af1"
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="rworkman"
diff --git a/system/md5deep/slack-desc b/system/md5deep/slack-desc
new file mode 100644
index 0000000000..05a8bf8fb5
--- /dev/null
+++ b/system/md5deep/slack-desc
@@ -0,0 +1,18 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+ |-----handy-ruler-----------------------------------------------------|
+md5deep: md5deep (tools to compare digests)
+md5deep:
+md5deep: md5deep is a cross-platform set of programs to compute MD5, SHA-1,
+md5deep: SHA-256, Tiger, or Whirlpool message digests on an arbitrary number
+md5deep: of files. md5deep is similar to the md5sum program found in the GNU
+md5deep: Coreutils package, but has the following additional features:
+md5deep: Recursive operation, Comparison mode, Time estimation, Piecewise
+md5deep: hasing, and File type mode.
+md5deep:
+md5deep:
+md5deep: